KBD_MODE(1)

NAME
kbd_mode - report or set the keyboard mode

SYNOPSIS
kbd_mode [ -a | -k | -s | -u ]

DESCRIPTION

Without argument, kbd_mode prints the current keyboard mode (RAW, MEDIUMRAW or XLATE). With argument, it sets the keyboard mode as indicated:

-s: scancode mode (RAW); -u is a synonym of -s for compatibility with other versions.

-k: keycode mode (MEDIUMRAW),

-a: ASCII mode (XLATE).

(Of course the "-a" is only traditional, and the code used need not be ASCII. In this mode the key mapping defined by loadkeys(1) is used.) Warning: changing the keyboard mode will probably make your keyboard unusable. This command is only meant for use (say via remote login) when some program left your keyboard in the wrong state.

SEE ALSO
loadkeys(1)